Page MenuHomePhabricator

Remap values in PromotedFloats
ClosedPublic

Authored by yan_luo on Mar 24 2018, 11:35 AM.

Details

Summary

When a node is about to be erased from ReplacedValues, we should also remap its corresponding values in PromotedFloats.

Diff Detail

Repository
rL LLVM

Event Timeline

yan_luo created this revision.Mar 24 2018, 11:35 AM

The changes look good to me. But something is funny in Phabricator - I am unable to see the context in this file. How did you upload this CL?

I just copied and pasted the result of 'git diff'. Any step I should follow? First time use, sorry!

pirama removed rL LLVM as the repository for this revision.Mar 26 2018, 10:34 AM

I just copied and pasted the result of 'git diff'. Any step I should follow? First time use, sorry!

https://llvm.org/docs/Phabricator.html#requesting-a-review-via-the-web-interface
Especially do note the -U999999

Though, it would be great if it would be actually enforced, see https://bugs.llvm.org/show_bug.cgi?id=36788

yan_luo updated this revision to Diff 139875.Mar 26 2018, 6:19 PM

Thanks! I updated the diff, please review it again.

pirama accepted this revision.Mar 26 2018, 7:50 PM

Thanks for the fix Yan.

This revision is now accepted and ready to land.Mar 26 2018, 7:50 PM

BTW, I don't have commit access. Can you please help me land this fix? Thanks!

Closed by commit rL328644: Remap values in PromotedFloats (authored by pirama, committed by ). · Explain WhyMar 27 2018, 10:47 AM
This revision was automatically updated to reflect the committed changes.

Done (328644). Cited in the commit message that you are the author since that gets overwritten when someone besides the author commits a change.